{
    "scan": {
        "analyzer-version-gcc": "16.1.1"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/usr/include/python3.14/pyconfig-64.h",
                    "line": 2011,
                    "column": 9,
                    "h_size": 15,
                    "event": "warning[warning]",
                    "message": "‘_POSIX_C_SOURCE’ redefined",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/usr/include/features.h",
                    "line": 319,
                    "column": 10,
                    "h_size": 15,
                    "event": "note[note]",
                    "message": "this is the location of the previous definition",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 124,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 116,
                    "column": 9,
                    "h_size": 13,
                    "event": "warning[-Wanalyzer-out-of-bounds]",
                    "message": "stack-based buffer underwrite",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 131,
                    "column": 1,
                    "h_size": 19,
                    "event": "enter_function",
                    "message": "entry to ‘psutil_net_if_addrs’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 142,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following ‘false’ branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 144,
                    "column": 9,
                    "h_size": 19,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 144,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following ‘false’ branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 149,
                    "column": 10,
                    "h_size": 12,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 149,
                    "column": 24,
                    "h_size": 8,
                    "event": "branch_true",
                    "message": "following ‘true’ branch (when ‘ifa’ is non-NULL)...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 150,
                    "column": 14,
                    "h_size": 13,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 153,
                    "column": 22,
                    "h_size": 44,
                    "event": "call_function",
                    "message": "calling ‘psutil_convert_ipaddr’ from ‘psutil_net_if_addrs’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 54,
                    "column": 1,
                    "h_size": 21,
                    "event": "enter_function",
                    "message": "entry to ‘psutil_convert_ipaddr’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 153,
                    "column": 22,
                    "h_size": 44,
                    "event": "return_function",
                    "message": "returning to ‘psutil_net_if_addrs’ from ‘psutil_convert_ipaddr’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 158,
                    "column": 12,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following ‘false’ branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 160,
                    "column": 22,
                    "h_size": 47,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 160,
                    "column": 22,
                    "h_size": 47,
                    "event": "call_function",
                    "message": "calling ‘psutil_convert_ipaddr’ from ‘psutil_net_if_addrs’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 54,
                    "column": 1,
                    "h_size": 21,
                    "event": "enter_function",
                    "message": "entry to ‘psutil_convert_ipaddr’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 63,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following ‘false’ branch (when ‘addr’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 67,
                    "column": 14,
                    "h_size": 11,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 67,
                    "column": 13,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 89,
                    "column": 13,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 89,
                    "column": 13,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following ‘true’ branch (when ‘family == 17’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 91,
                    "column": 15,
                    "h_size": 17,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 110,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following ‘true’ branch (when ‘len != 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 110,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 112,
                    "column": 21,
                    "h_size": 7,
                    "event": "branch_false",
                    "message": "following ‘false’ branch (when ‘n >= len’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 116,
                    "column": 9,
                    "h_size": 13,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-psutil-7.2.2-build/psutil-release-7.2.2/psutil/arch/posix/net.c",
                    "line": 116,
                    "column": 9,
                    "h_size": 13,
                    "event": "danger",
                    "message": "out-of-bounds write at byte -1 but ‘buf’ starts at byte 0",
                    "verbosity_level": 2
                }
            ]
        }
    ]
}
